#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n ;
    cin >> n ;
    int x[n] ;
    int y[n] ;
    int z[n] ;
    for(int i=0 ; i<n ; i++){
        cin >> x[i] ;
    }
    for(int i=0 ; i<n ; i++){
        cin >> y[i] ;
    }
    for(int i=0 ; i<n ; i++){
        cin >> z[i] ;
    }
    sort(x,x+n) ;
    int uk=0 ;
    for(int i=0 ; i<n ; i++){
        int ind=lower_bound(x,x+n,y[z[i]-1])-x ;
        while(x[ind]==y[z[i]-1] && ind<n){
            uk++ ;
            ind++ ;
        }
    }
    cout << uk ;
    return 0;
}